LDM 6.11.5 Released

Version 6.11.5 of the LDM has been released. This version doesn't have the "libxml2" package bundled-in; consequently, the "libxml2" development package must be installed on the host system before the LDM package can be built. The development package is necessary because the runtime package doesn't have the required header-files (development packages usually have the word "devel" in their name). If you're using version 6.11.4 of the LDM, have not encountered any problems with it, and don't care which "libxml2" package the LDM uses, then there's no need to upgrade to LDM 6.11.5.

The "libxml2" package was removed from the LDM distribution because:

  1. it's become ubiquitous;
  2. older versions of it have security issues;
  3. eliminating it allows it to be independently upgraded; and
  4. eliminating it approximately halves the size of the distribution and the time it takes to build.

Please report any problems caused by this removal to support-ldm@unidata.ucar.edu.

This version of the LDM also has some minor code improvements. For details, please see the file CHANGE_LOG on this version's homepage or in the top-level source-directory of the distribution.

This version can be downloaded at https://www.unidata.ucar.edu/downloads/ldm.

Comments:

Post a Comment:
Comments are closed for this entry.
News@Unidata
News and information from the Unidata Program Center
News@Unidata
News and information from the Unidata Program Center

Welcome

FAQs

Developers’ blog

Take a poll!

What if we had an ongoing user poll in here?

Browse By Topic
Browse by Topic
« May 2019
SunMonTueWedThuFriSat
   
2
4
5
6
7
10
11
12
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
 
       
Today